/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.executePlan.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.Partition;

import java.io.Serializable;


/**
 * 计划设备关联表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-12-06 17:37:24  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "计划设备关联表")
public class AtuPlanDeviceLink extends Partition implements Serializable
{
  public static final String KEY_id = "id";
  public static final String KEY_planId = "planId";
  public static final String KEY_deviceId = "deviceId";
  public static final String KEY_deviceType = "deviceType";
  public static final String KEY_browserType = "browserType";
  public static final String KEY_platformType = "platformType";

  /**
   * 主键<br>
   */
  @ApiModelProperty("主键")
  @Size(max = 32, message="主键-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 计划主键<br>
   */
  @ApiModelProperty("计划主键")
  @Size(max = 32, message="计划主键-planId: 数据长度不能 > 32" )
  private String planId;
  /**
   * 设备主键<br>
   */
  @ApiModelProperty("设备主键")
  @Size(max = 128, message="设备主键-deviceId: 数据长度不能 > 32" )
  private String deviceId;
  /**
   * 设备类型;1-PC，2-移动端<br>
   */
  @ApiModelProperty("设备类型;1-PC，2-移动端")
  @Size(max = 1, message="设备类型;1-PC，2-移动端-deviceType: 数据长度不能 > 1" )
  private String deviceType;
  /**
   * 浏览器类型;1-IE，2-chrome，3-firefox，4-edge<br>
   */
  @ApiModelProperty("浏览器类型;1-IE，2-chrome，3-firefox，4-edge")
  @Size(max = 1, message="浏览器类型;1-IE，2-chrome，3-firefox，4-edge-browserType: 数据长度不能 > 1" )
  private String browserType;

  @ApiModelProperty("系统类型 0-Android 1-IOS 2-HarmonyOS")
  private String platformType;

  public String getPlatformType() {
    return platformType;
  }

  public void setPlatformType(String platformType) {
    this.platformType = platformType;
  }

  /**
   * 主键<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键<br>
   *
   * @param id 主键
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 计划主键<br>
   */
  public String getPlanId()
  {
      return planId;
    }

  /**
   * 计划主键<br>
   *
   * @param planId 计划主键
   */
  public void setPlanId(String planId)
  {
      this.planId = planId;
    }
  /**
   * 设备主键<br>
   */
  public String getDeviceId()
  {
      return deviceId;
    }

  /**
   * 设备主键<br>
   *
   * @param deviceId 设备主键
   */
  public void setDeviceId(String deviceId)
  {
      this.deviceId = deviceId;
    }
  /**
   * 设备类型;1-PC，2-移动端<br>
   */
  public String getDeviceType()
  {
      return deviceType;
    }

  /**
   * 设备类型;1-PC，2-移动端<br>
   *
   * @param deviceType 设备类型;1-PC，2-移动端
   */
  public void setDeviceType(String deviceType)
  {
      this.deviceType = deviceType;
    }
  /**
   * 浏览器类型;1-IE，2-chrome，3-firefox，4-edge<br>
   */
  public String getBrowserType()
  {
      return browserType;
    }

  /**
   * 浏览器类型;1-IE，2-chrome，3-firefox，4-edge<br>
   *
   * @param browserType 浏览器类型;1-IE，2-chrome，3-firefox，4-edge
   */
  public void setBrowserType(String browserType)
  {
      this.browserType = browserType;
    }

  public AtuPlanDeviceLink()
  {
  }

}
